* [gentoo-commits] repo/proj/guru:dev commit in: dev-crystal/webdrivers/
@ 2022-11-09 13:14 Anna Vyalkova
0 siblings, 0 replies; 6+ messages in thread
From: Anna Vyalkova @ 2022-11-09 13:14 UTC (permalink / raw
To: gentoo-commits
commit: 2fafa20eacb6510b756e834e05fbc6a30e2aa134
Author: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Wed Nov 9 11:49:54 2022 +0000
Commit: Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Wed Nov 9 11:49:54 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2fafa20e
dev-crystal/webdrivers: new package, add 0.4.1
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>
dev-crystal/webdrivers/Manifest | 1 +
dev-crystal/webdrivers/metadata.xml | 8 ++++++++
dev-crystal/webdrivers/webdrivers-0.4.1.ebuild | 26 ++++++++++++++++++++++++++
3 files changed, 35 insertions(+)
diff --git a/dev-crystal/webdrivers/Manifest b/dev-crystal/webdrivers/Manifest
new file mode 100644
index 000000000..e80d4766f
--- /dev/null
+++ b/dev-crystal/webdrivers/Manifest
@@ -0,0 +1 @@
+DIST webdrivers-0.4.1.tar.gz 6944 BLAKE2B d835d24866d941b0dce80fe4eddefef3bd9718ec2f2625b436173da41edb00d995c2bd8900c1c0a4bdaa69679456dd2792a86a7691491f4e34494578e9165ce1 SHA512 d524eb696e10666e581a07b8e9999e7f3285e54a212004e460ffe01e7d4e6f6a2a0a460f06069ef6aa697caa9ab8300275311d1a8263b3a23c3dacc73f01c86b
diff --git a/dev-crystal/webdrivers/metadata.xml b/dev-crystal/webdrivers/metadata.xml
new file mode 100644
index 000000000..7ebbd0334
--- /dev/null
+++ b/dev-crystal/webdrivers/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>cyber+gentoo@sysrq.in</email>
+ <name>Anna</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-crystal/webdrivers/webdrivers-0.4.1.ebuild b/dev-crystal/webdrivers/webdrivers-0.4.1.ebuild
new file mode 100644
index 000000000..56c4391a7
--- /dev/null
+++ b/dev-crystal/webdrivers/webdrivers-0.4.1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit shards
+
+MY_PN="${PN}.cr"
+DESCRIPTION="Helps manage drivers for Selenium, such as the Chromedriver"
+HOMEPAGE="https://github.com/matthewmcgarvey/webdrivers.cr"
+SRC_URI="https://github.com/matthewmcgarvey/${MY_PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+src_prepare() {
+ default
+
+ # remove tests that use network
+ rm \
+ spec/webdrivers/chromedriver_spec.cr \
+ spec/webdrivers/geckodriver_spec.cr \
+ spec/webdrivers/chrome/driver_remote_version_finder_spec.cr || die
+}
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-crystal/webdrivers/
@ 2022-11-17 21:44 Anna Vyalkova
0 siblings, 0 replies; 6+ messages in thread
From: Anna Vyalkova @ 2022-11-17 21:44 UTC (permalink / raw
To: gentoo-commits
commit: 46572f08736a773351f744c0913f4ae21ab0f5b6
Author: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Thu Nov 17 21:42:23 2022 +0000
Commit: Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Thu Nov 17 21:43:30 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=46572f08
dev-crystal/webdrivers: fix deps
Closes: https://bugs.gentoo.org/881513
Closes: https://bugs.gentoo.org/881515
Closes: https://bugs.gentoo.org/881531
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>
.../{webdrivers-0.4.1.ebuild => webdrivers-0.4.1-r1.ebuild} | 5 +++++
1 file changed, 5 insertions(+)
diff --git a/dev-crystal/webdrivers/webdrivers-0.4.1.ebuild b/dev-crystal/webdrivers/webdrivers-0.4.1-r1.ebuild
similarity index 92%
rename from dev-crystal/webdrivers/webdrivers-0.4.1.ebuild
rename to dev-crystal/webdrivers/webdrivers-0.4.1-r1.ebuild
index 56c4391a7..a23a7f4ad 100644
--- a/dev-crystal/webdrivers/webdrivers-0.4.1.ebuild
+++ b/dev-crystal/webdrivers/webdrivers-0.4.1-r1.ebuild
@@ -15,6 +15,11 @@ LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
+RDEPEND="
+ dev-crystal/crystar
+ dev-crystal/habitat
+"
+
src_prepare() {
default
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-crystal/webdrivers/
@ 2022-11-17 22:32 Henri Gasc
0 siblings, 0 replies; 6+ messages in thread
From: Henri Gasc @ 2022-11-17 22:32 UTC (permalink / raw
To: gentoo-commits
commit: abc5f24093460a367fb60b5c6c101cb84d15acc0
Author: Henri Gasc <gasc <AT> eurecom <DOT> fr>
AuthorDate: Thu Nov 17 22:29:13 2022 +0000
Commit: Henri Gasc <gasc <AT> eurecom <DOT> fr>
CommitDate: Thu Nov 17 22:29:13 2022 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=abc5f240
dev-crystal/webdrivers: add github upstream metadata
Signed-off-by: Henri Gasc <gasc <AT> eurecom.fr>
dev-crystal/webdrivers/metadata.xml | 3 +++
1 file changed, 3 insertions(+)
diff --git a/dev-crystal/webdrivers/metadata.xml b/dev-crystal/webdrivers/metadata.xml
index 7ebbd0334..57c8564cb 100644
--- a/dev-crystal/webdrivers/metadata.xml
+++ b/dev-crystal/webdrivers/metadata.xml
@@ -5,4 +5,7 @@
<email>cyber+gentoo@sysrq.in</email>
<name>Anna</name>
</maintainer>
+ <upstream>
+ <remote-id type="github">matthewmcgarvey/webdrivers.cr</remote-id>
+ </upstream>
</pkgmetadata>
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-crystal/webdrivers/
@ 2023-06-07 20:18 Anna Vyalkova
0 siblings, 0 replies; 6+ messages in thread
From: Anna Vyalkova @ 2023-06-07 20:18 UTC (permalink / raw
To: gentoo-commits
commit: 6e9bb05e2184258cf4cdf174efa99c6cbb3216bf
Author: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Wed Jun 7 20:16:46 2023 +0000
Commit: Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Wed Jun 7 20:16:46 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6e9bb05e
dev-crystal/webdrivers: add upstream maintainer
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>
dev-crystal/webdrivers/metadata.xml | 4 ++++
1 file changed, 4 insertions(+)
diff --git a/dev-crystal/webdrivers/metadata.xml b/dev-crystal/webdrivers/metadata.xml
index 57c8564cb..9f002b300 100644
--- a/dev-crystal/webdrivers/metadata.xml
+++ b/dev-crystal/webdrivers/metadata.xml
@@ -7,5 +7,9 @@
</maintainer>
<upstream>
<remote-id type="github">matthewmcgarvey/webdrivers.cr</remote-id>
+ <maintainer>
+ <name>Matthew McGarvey</name>
+ <email>matthewmcgarvey14@gmail.com</email>
+ </maintainer>
</upstream>
</pkgmetadata>
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-crystal/webdrivers/
@ 2023-07-09 2:00 Anna Vyalkova
0 siblings, 0 replies; 6+ messages in thread
From: Anna Vyalkova @ 2023-07-09 2:00 UTC (permalink / raw
To: gentoo-commits
commit: 087a6d56627fc35d93f1113ca048a70bf6c6e6f4
Author: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Thu Jul 6 00:09:25 2023 +0000
Commit: Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sun Jul 9 01:24:32 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=087a6d56
dev-crystal/webdrivers: add 0.4.2
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>
dev-crystal/webdrivers/Manifest | 1 +
dev-crystal/webdrivers/webdrivers-0.4.2.ebuild | 31 ++++++++++++++++++++++++++
2 files changed, 32 insertions(+)
diff --git a/dev-crystal/webdrivers/Manifest b/dev-crystal/webdrivers/Manifest
index e80d4766f..34a0d2aa1 100644
--- a/dev-crystal/webdrivers/Manifest
+++ b/dev-crystal/webdrivers/Manifest
@@ -1 +1,2 @@
DIST webdrivers-0.4.1.tar.gz 6944 BLAKE2B d835d24866d941b0dce80fe4eddefef3bd9718ec2f2625b436173da41edb00d995c2bd8900c1c0a4bdaa69679456dd2792a86a7691491f4e34494578e9165ce1 SHA512 d524eb696e10666e581a07b8e9999e7f3285e54a212004e460ffe01e7d4e6f6a2a0a460f06069ef6aa697caa9ab8300275311d1a8263b3a23c3dacc73f01c86b
+DIST webdrivers-0.4.2.tar.gz 6989 BLAKE2B efedebeb0fd60c711e188a3679c08b36455dd87ebbc676898ab1b43a3be4807e7e23306a84c3f39d991944a57c7f4a722a1b68bed8b8a4477f1a4d574b8f526a SHA512 e704bab7176cf2e62f0cfa6fd7b7c4a76028ed4c54a6b05c79f7c8cbd267448c6324d266b97d78be18c7be46f67f08391b894a72c073e00d27d6306f0000bfe5
diff --git a/dev-crystal/webdrivers/webdrivers-0.4.2.ebuild b/dev-crystal/webdrivers/webdrivers-0.4.2.ebuild
new file mode 100644
index 000000000..a23a7f4ad
--- /dev/null
+++ b/dev-crystal/webdrivers/webdrivers-0.4.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit shards
+
+MY_PN="${PN}.cr"
+DESCRIPTION="Helps manage drivers for Selenium, such as the Chromedriver"
+HOMEPAGE="https://github.com/matthewmcgarvey/webdrivers.cr"
+SRC_URI="https://github.com/matthewmcgarvey/${MY_PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-crystal/crystar
+ dev-crystal/habitat
+"
+
+src_prepare() {
+ default
+
+ # remove tests that use network
+ rm \
+ spec/webdrivers/chromedriver_spec.cr \
+ spec/webdrivers/geckodriver_spec.cr \
+ spec/webdrivers/chrome/driver_remote_version_finder_spec.cr || die
+}
^ permalink raw reply related [flat|nested] 6+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: dev-crystal/webdrivers/
@ 2024-04-27 9:50 Anna Vyalkova
0 siblings, 0 replies; 6+ messages in thread
From: Anna Vyalkova @ 2024-04-27 9:50 UTC (permalink / raw
To: gentoo-commits
commit: fea19f2b8bb22d9a7b0e9ac04740039d5ea9552d
Author: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sat Apr 27 08:34:29 2024 +0000
Commit: Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sat Apr 27 09:50:07 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=fea19f2b
dev-crystal/webdrivers: add 0.4.3, drop 0.4.1-r1
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>
dev-crystal/webdrivers/Manifest | 2 +-
.../webdrivers/{webdrivers-0.4.1-r1.ebuild => webdrivers-0.4.3.ebuild} | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/dev-crystal/webdrivers/Manifest b/dev-crystal/webdrivers/Manifest
index 34a0d2aa1e..f91b774b9e 100644
--- a/dev-crystal/webdrivers/Manifest
+++ b/dev-crystal/webdrivers/Manifest
@@ -1,2 +1,2 @@
-DIST webdrivers-0.4.1.tar.gz 6944 BLAKE2B d835d24866d941b0dce80fe4eddefef3bd9718ec2f2625b436173da41edb00d995c2bd8900c1c0a4bdaa69679456dd2792a86a7691491f4e34494578e9165ce1 SHA512 d524eb696e10666e581a07b8e9999e7f3285e54a212004e460ffe01e7d4e6f6a2a0a460f06069ef6aa697caa9ab8300275311d1a8263b3a23c3dacc73f01c86b
DIST webdrivers-0.4.2.tar.gz 6989 BLAKE2B efedebeb0fd60c711e188a3679c08b36455dd87ebbc676898ab1b43a3be4807e7e23306a84c3f39d991944a57c7f4a722a1b68bed8b8a4477f1a4d574b8f526a SHA512 e704bab7176cf2e62f0cfa6fd7b7c4a76028ed4c54a6b05c79f7c8cbd267448c6324d266b97d78be18c7be46f67f08391b894a72c073e00d27d6306f0000bfe5
+DIST webdrivers-0.4.3.tar.gz 7512 BLAKE2B 447e0ab917d96ef79d982a9ceb4cf70c5cd4714437f183012e91b55a7e63a64a3fb4769cfc85d078c558750981248ec9e6b8724117409c220330e1fcab0e61f6 SHA512 7d46c7592cae01119fc0c8367a55284ce12750f3dc9643eb95ac106926561b798adb4e42b2042f4977b5d7e09d834da58f4b21ae5df2993f76b20d869d526556
diff --git a/dev-crystal/webdrivers/webdrivers-0.4.1-r1.ebuild b/dev-crystal/webdrivers/webdrivers-0.4.3.ebuild
similarity index 94%
rename from dev-crystal/webdrivers/webdrivers-0.4.1-r1.ebuild
rename to dev-crystal/webdrivers/webdrivers-0.4.3.ebuild
index a23a7f4ad7..2c17c29393 100644
--- a/dev-crystal/webdrivers/webdrivers-0.4.1-r1.ebuild
+++ b/dev-crystal/webdrivers/webdrivers-0.4.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022 Gentoo Authors
+# Copyright 2022-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
^ permalink raw reply related [flat|nested] 6+ messages in thread
end of thread, other threads:[~2024-04-27 9:50 UTC | newest]
Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-11-17 22:32 [gentoo-commits] repo/proj/guru:dev commit in: dev-crystal/webdrivers/ Henri Gasc
-- strict thread matches above, loose matches on Subject: below --
2024-04-27 9:50 Anna Vyalkova
2023-07-09 2:00 Anna Vyalkova
2023-06-07 20:18 Anna Vyalkova
2022-11-17 21:44 Anna Vyalkova
2022-11-09 13:14 Anna Vyalkova
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox